Update a user

View as Markdown

Updates a user in Postman.

Reactivating a user

By setting the active property from false to true, this reactivates an account. This allows the account to authenticate in to Postman and adds the account back on to your Postman team.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

userIdstringRequired
The user's SCIM ID.

Request

This endpoint expects an object.
Update Active StateobjectRequired
OR
Update UsernameobjectRequired

Response

Successful Response
schemaslist of strings
idstring
The team member's SCIM ID.
userNamestring
The team member's SCIM username.
nameobject
Information about the Postman team member.
externalIdstring
The team member's external ID.
activeboolean
If true, the team member is active.
metaobject

The response’s non-standard meta information.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error